<?xml version="1.0" encoding="ISO-8859-1"?>
<?xml-stylesheet type="text/xsl" href="helma.xsl"?>
<xmlroot xmlns:hop="http://www.helma.org/docs/guide/features/database">
  <hopobject id="2985" name="2013-07-30-Boris-birthday-weekend" prototype="Page" created="1375208041816" lastModified="1375219322082">
  <hop:parent idref="2912" prototyperef="Page"/>
    <is_xhtml type="boolean">true</is_xhtml>
    <http_remotehost>127.0.0.1</http_remotehost>
    <http_language>en-US,en;q=0.8</http_language>
    <uri>2013-07-30-Boris-birthday-weekend</uri>
    <http_browser>Mozilla/5.0 (Macintosh; Intel Mac OS X 10_8_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/28.0.1500.71 Safari/537.36</http_browser>
    <time type="date">30.07.2013 16:22:02 CDT</time>
    <hopsession>127.0.0.192.94.94.1agh54kvhedkc</hopsession>
    <body>&lt;h1&gt;Weekend at Boris&apos;&lt;/h1&gt;
&lt;p&gt;It has been a busy week for BeagleBoard.org, which has now been around for five years!
    Drew Fustini of
    Element14 was nice enough to bring cake to the Southeast Michigan Friends of 
    Boris (the Beagle) meet-up. A notable point of discussion was the
    fact that BeagleBoard.org got its name from Gerald&apos;s dog Jake, but yet the
    cartoon mascot for BeagleBoard.org was named &apos;Boris&apos; by Philip who paid to get 
    the logo created. Seems like it is the little things that give character
    to a community.
&lt;/p&gt;
&lt;a href=&quot;https://plus.google.com/u/0/photos/117542001281850354871/albums/posts/5906284058430750962?pid=5906284058430750962&amp;oid=117542001281850354871&quot;&gt;
    &lt;img src=&quot;/static/uploads/boris_cake.jpg&quot; width=&quot;60%&quot; /&gt;
&lt;/a&gt;
&lt;p&gt;Drew was hanging around to record some tutorials from the hands-on workshops
    on BeagleBone Black at Maker Faire Detroit. We estimate about 100 people
    went through the self-paced tutorials with help from Drew and volunteers
    from the local &lt;a href=&quot;http://www.i3detroit.com/&quot;&gt;i3 Detroit&lt;/a&gt; hackerspace.
    The videos for the tutorials will eventually be posted at
    &lt;a href=&quot;http://beagleboard.org/makerfairedetroit2013&quot;&gt;
        http://beagleboard.org/makerfairedetroit2013
    &lt;/a&gt;.
&lt;/p&gt;
&lt;img align=&quot;right&quot; src=&quot;/static/uploads/IMG_0379.JPG&quot; width=&quot;20%&quot; /&gt;
&lt;p&gt;A couple of BeagleBone-based projects won some awards at the show.
    &lt;a href=&quot;http://ppolstra.blogspot.com/&quot;&gt;Dr. Phil Polstra of the University of 
    Dubuque Iowa&lt;/a&gt; was mentioned by Dale Dougherty as demonstrating
    &lt;a href=&quot;http://makezine.com/magazine/maker-faire-detroit-the-midwest-at-its-best-what-we-hope-for-detroit/&quot;&gt;
        one of the top 10 signs of hope for Detroit
    &lt;/a&gt;
    presented at the Faire with his Beagle in a Buzz Lightyear lunch box.  I met
    Phil at Maker Faire a couple of years back and he&apos;s been doing some amazing 
    things to teach people about computer security. As Dale mentions, Phil is a
    great example of what can be done when the open source software world meets
    the world of affordable open source hardware.
&lt;/p&gt;
&lt;p&gt;Another award winning project of note was 
    &lt;a href=&quot;http://makezine.com/2013/07/27/maker-faire-detroit-day-one/&quot;&gt;Jeff McAlvay&apos;s&lt;/a&gt; 
    &lt;a href=&quot;http://tempoautomation.com/its-alive/&quot;&gt;open
    hardware pick-and-place machine&lt;/a&gt; that runs 
    &lt;a href=&quot;http://tempoautomation.com/using-node-js-to-control-manufacturing-robots-with-gcode/&quot;&gt;Node.JS&lt;/a&gt;
    on BeagleBone to process design files into GCode, providing for independent
    network-based operation. A pick-and-place machine will help you manufacture
    electronics by taking the tiny components and positioning them on the board
    for you. The machine in development is seeking to do a lot more than just
    place the components, including cutting out the routes on the board and adding
    the solder to it as well.
&lt;/p&gt;
&lt;iframe width=&quot;560&quot; height=&quot;315&quot; src=&quot;//www.youtube.com/embed/-jsQF-xFdJM&quot; frameborder=&quot;0&quot; allowfullscreen&gt;&lt;/iframe&gt;
&lt;p&gt;This week is also time for midterm evaluations for Google Summer of Code 
    projects where students are paid by Google to work on open source software
    projects for the Summer, including 6 projects being mentored by BeagleBoard.org.
    All of the students have now provided some running code, including for
    &lt;a href=&quot;http://prpplague.github.io/Energia/blog/2013/07/24/documentation-and-videos/&quot;&gt;running Arduino sketches on BeagleBone Black&lt;/a&gt;,
    &lt;a href=&quot;http://beagleboot.vdev.ro/?p=197&quot;&gt;booting BeagleBone from an Android phone&lt;/a&gt;,
    &lt;a href=&quot;http://beagleboard-gsoc13.blogspot.com/2013/07/sampling-analogue-signals-using-adc-on.html&quot;&gt;improved ADC driver support&lt;/a&gt;,
    &lt;a href=&quot;http://minix-i2c.blogspot.com/2013/07/looking-for-beta-testers-who-have.html&quot;&gt;adding I2C support to Minix (including EDID support)&lt;/a&gt;,
    &lt;a href=&quot;http://beagleros.wordpress.com/2013/07/25/hands-on-hardware&quot;&gt;Robot Operating System (ROS) on Angstrom&lt;/a&gt;, and
    &lt;a href=&quot;http://zecozephyr.github.io/2013/07/17/ponderings-upon-jtag&quot;&gt;building soft peripherals with the PRU microcontrollers on BeagleBone Black&lt;/a&gt;.
&lt;/p&gt;
&lt;iframe width=&quot;560&quot; height=&quot;315&quot; src=&quot;//www.youtube.com/embed/videoseries?list=PLrqLsMlJSsZZv0jJNxexq_YSdXoCoLO_5&quot; frameborder=&quot;0&quot; allowfullscreen&gt;&lt;/iframe&gt;
&lt;p&gt;Pre-release Angstrom images are already being impacted by these projects,
    including integration of ROS dependencies and 
    &lt;a href=&quot;https://github.com/beagleboard/kernel/pull/48&quot;&gt;ADC patches to provide for
    continuous sampling and triggers&lt;/a&gt;. Improvements are also occuring on the HDMI
    support, additional firmware for USB wifi devices,
    &lt;a href=&quot;https://github.com/beagleboard/kernel/commit/e368aa375724861c113a221aeec99a4688299403&quot;&gt;SD/MMC 
    support&lt;/a&gt;, &lt;a href=&quot;https://github.com/beagleboard/kernel/commit/8a908ca181a36848270af8a60f1ff9b954c24486&quot;&gt;BeBoPr
    3D printer cape support&lt;/a&gt; and
    even support to &lt;a href=&quot;https://github.com/beagleboard/kernel/commit/5b570d7b7500c4aad19693c5b8de76bb9e4d1eba&quot;&gt;turn 
    digital I/O pins controlled by the PRU into PWMs&lt;/a&gt;.
&lt;/p&gt;
&lt;p&gt;It is also now that projects by interns in the &lt;a href=&quot;http://processors.wiki.ti.com/index.php/2013_Intern_Design_Challenge&quot;&gt;Texas
    Instruments Intern Design Challenge&lt;/a&gt; are being voted upon. Several of these
    projectes included BeagleBone Black this summer, including &lt;a href=&quot;http://www.adafruit.com/blog/2013/07/29/beaglebone-gamingcape/&quot;&gt;the
    BeagleBone Gaming Cape&lt;/a&gt; that turns a BeagleBone Black into a handheld
    gaming system capable of emulating other systems.
&lt;/p&gt;
&lt;iframe width=&quot;560&quot; height=&quot;315&quot; src=&quot;//www.youtube.com/embed/videoseries?list=PLrqLsMlJSsZZ-aJM0XIhHBBlSL3L_Ga2U&quot; frameborder=&quot;0&quot; allowfullscreen&gt;&lt;/iframe&gt;
&lt;p&gt;It&apos;s a very busy time and I can&apos;t wait until my next update with so much
    going on! In the meantime, I did to a bit of a blog post looking back through
    the &lt;a href=&quot;http://beagleboard.org/blog/2013-07-29-Five-years-of-DIY-hacks/&quot;&gt;
    eyes of Hack-a-Day.&lt;/a&gt;
&lt;/p&gt;</body>
    <pseudoparent idref="2912" prototyperef="Page"/>
    <http_referer>http://beagleboard.org/blog/2013-07-30-Boris-birthday-weekend/edit</http_referer>
    <http_host>beagleboard.org</http_host>
    <user>blog.hangerhead.com</user>
    <lang>en-us</lang>
  </hopobject>
</xmlroot>
